Package com.io7m.cedarbridge.runtime.api

# Class CBSerializationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.io7m.cedarbridge.runtime.api.CBSerializationException

All Implemented Interfaces:
  `Serializable`

public class CBSerializationException extends IOException
The type of serialization exceptions.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBSerializationException(String message, long inByteOffset, String inPath)`
  Create an exception.
  `CBSerializationException(String message, Throwable cause, long inByteOffset, String inPath)`
  Create an exception.
  `CBSerializationException(Throwable cause, long inByteOffset, String inPath)`
  Create an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final long`
  `byteOffset()`
  `final String`
  `path()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBSerializationException

    public CBSerializationException(String message, long inByteOffset, String inPath)
    Create an exception.
    Parameters:
      `message` - The error message
      `inByteOffset` - The byte offset where the error occurred
      `inPath` - The access path where the error occurred

  - ### CBSerializationException

    public CBSerializationException(String message, Throwable cause, long inByteOffset, String inPath)
    Create an exception.
    Parameters:
      `message` - The error message
      `cause` - The cause
      `inByteOffset` - The byte offset where the error occurred
      `inPath` - The access path where the error occurred

  - ### CBSerializationException

    public CBSerializationException(Throwable cause, long inByteOffset, String inPath)
    Create an exception.
    Parameters:
      `cause` - The cause
      `inByteOffset` - The byte offset where the error occurred
      `inPath` - The access path where the error occurred

- ## Method Details

  - ### byteOffset

    public final long byteOffset()
    Returns:
      The byte offset

  - ### path

    public final String path()
    Returns:
      The access path